
%define name	libbluray
%define version	0.2.3
%define rel	2

%define major	1
%define libname	%mklibname bluray %major
%define devname %mklibname bluray -d

Summary:	Blu-Ray Disc playback library for media players
Name:		%{name}
Version:	%{version}
Release:	%mkrel %rel
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.videolan.org/developers/libbluray.html
Source:		ftp://ftp.videolan.org/pub/videolan/libbluray/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6

%description
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

The library has support for navigation, playlist parsing, menus and BD-J.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

%package -n %{libname}
Summary:	Blu-Ray Disc playback library for media players
Group:		System/Libraries

%description -n %{libname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

%package java
Summary:	BD-J support for libbluray
Group:		System/Libraries
# Maybe switch to suggesting/requiring libbluray-java in the main lib,
# and dropping these below reqs instead?
Requires:	java >= 0:1.6
Requires:	jpackage-utils

%description java
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

This package contains the BD-J support for libbluray.

This package does not contain any DRM circumvention functionality.

%package -n %{devname}
Summary:	libbluray development files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	bluray-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

These are the files needed for building programs using libbluray.
This package does not contain any DRM circumvention functionality.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-static \
	--disable-bdjava --disable-examples
%make

%install
%makeinstall_std

rm %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}.so.%{major}*

%files -n %{devname}
%defattr(-,root,root)
%doc README.txt
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.3-2.mga3
+ Revision: 356856
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 fwang <fwang> 0.2.3-1.mga3
+ Revision: 319066
- do not build example
- new version 0.2.3

* Fri Jun 08 2012 fwang <fwang> 0.2.2-1.mga3
+ Revision: 257409
- new version 0.2.2

* Fri Jan 27 2012 fwang <fwang> 0.2.1-1.mga2
+ Revision: 202137
- do not build java binding as it is set off by default upstream
- new version 0.2.1

  + dmorgan <dmorgan>
    - Rediff P1
    - New snapshot
    - Fix java requires

* Sun Jan 16 2011 anssi <anssi> 0.0.1-0.pre.git20100917.1.mga1
+ Revision: 20255
- imported package libbluray

